# Class TCefSchemeRegistrarRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFSchemeRegistrar

## Declaration

`type TCefSchemeRegistrarRef = class(TCEFBaseScopedWrapperRef)`

## Description

Class that manages custom scheme registrations.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_scheme_capi.h">CEF source file: /include/capi/cef_scheme_capi.h (cef_scheme_registrar_t))

## Hierarchy

- TObject
- TCEFBaseScopedWrapperRef
- TCefSchemeRegistrarRef

## Overview

### Methods

| `function AddCustomScheme(const schemeName: ustring; options : TCefSchemeOptions): Boolean;`

## Description

### Methods

| `function AddCustomScheme(const schemeName: ustring; options : TCefSchemeOptions): Boolean;`
Register a custom scheme. This function should not be called for the built-in HTTP, HTTPS, FILE, FTP, ABOUT and DATA schemes. This function may be called on any thread. It should only be called once per unique |scheme_name| value. If |scheme_name| is already registered or if an error occurs this function will return false (0). <see>See the CEF_SCHEME_OPTION_* constants in the uCEFConstants unit for possible values for |options|.)

Generated by PasDoc 0.16.0-snapshot.